An ActivateRoute test double with a `paramMap` observable. Use the `setParamMap()` method to add the next `paramMap` value.

### Hierarchy

- ActivatedRouteStub

## Index

### Constructors

- constructor

### Properties

- paramMap
- subject

### Methods

- setParamMap

## Constructors

### constructor

- new ActivatedRouteStub(initialParams?: Params): ActivatedRouteStub

- - Defined in src/testing/activated-route-stub.ts:11

  #### Parameters

  - ##### Optional initialParams: Params

  #### Returns ActivatedRouteStub

## Properties

### Readonly paramMap

paramMap: Observable<ParamMap> = ...

- Defined in src/testing/activated-route-stub.ts:18

The mock paramMap observable

### Private subject

subject: ReplaySubject<ParamMap> = ...

- Defined in src/testing/activated-route-stub.ts:11

## Methods

### setParamMap

- setParamMap(params?: Params): void

- - Defined in src/testing/activated-route-stub.ts:21

  Set the paramMap observables's next value

  #### Parameters

  - ##### Optional params: Params

  #### Returns void

Generated using TypeDoc